package tiw5.modele;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

@XmlRootElement(name="infos-films")
@XmlType(propOrder={"personnes","films","societes"})
public class InfosFilms {

	private List<Film> films = new ArrayList<Film>();
	private List<Personne> personnes = new ArrayList<Personne>();
	private List<Societe> societes = new ArrayList<Societe>();

	@XmlElement(name="film")
	public List<Film> getFilms() {
		return films;
	}

	public void setFilms(List<Film> films) {
		this.films = films;
	}

	@XmlElement(name="personne")
	public List<Personne> getPersonnes() {
		return personnes;
	}

	public void setPersonnes(List<Personne> personnes) {
		this.personnes = personnes;
	}

	@XmlElement(name="societe")
	public List<Societe> getSocietes() {
		return societes;
	}

	public void setSocietes(List<Societe> societes) {
		this.societes = societes;
	}
	
	public void addFilm(Film f) {
		films.add(f);
	}
	
	public void addPersonne(Personne p) {
		personnes.add(p);
	}

	public void addSociete(Societe s) {
		societes.add(s);
	}
}
