package tiw5.modele.dao;

import java.util.Date;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import tiw5.modele.Personne;

public class PersonneDAO {

	@PersistenceContext
	private EntityManager em;

	public PersonneDAO(EntityManager em) {
		this.em = em;
	}
	
	public PersonneDAO() {}

	public void setEntityManager(EntityManager em) {
		this.em = em;
	}

	public Personne getPersonne(String id) {
		return em.find(Personne.class, id);
	}
	
	public Personne updatePersonne(Personne p) {
		Personne p2 = getPersonne(p.getId());
		if (p2==null) {
			em.persist(p);
			return p;
		} else {
			String nom = p.getNom();
			if (nom != null) {
				p2.setNom(nom);
			}
			Date dn = p.getDateNaissance();
			if (dn != null) {
				p2.setDateNaissance(dn);
			}
			return p2;
		}
	}
}
