package tiw5.modele.dao;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import tiw5.modele.Societe;

public class SocieteDAO {

	@PersistenceContext
	private EntityManager em;

	public SocieteDAO() {
	}

	public SocieteDAO(EntityManager em) {
		this.em = em;
	}

	public void setEntityManager(EntityManager em) {
		this.em = em;
	}

	public Societe getSociete(String nom) {
		return em.find(Societe.class, nom);
	}
	
	public Societe updateSociete(Societe updt) {
		Societe s2 = getSociete(updt.getNom());
		if (s2==null) {
			em.persist(updt);
			return updt;
		} else {
			String adresse = updt.getAdresse();
			if (adresse != null) {
				s2.setAdresse(adresse);
			}
			String pays = updt.getPays();
			if (pays != null) {
				s2.setPays(pays);
			}
			return s2;
		}
	}
	
}
