package tiw5.modele;

import javax.persistence.EntityManager;
import javax.persistence.Persistence;

import junit.framework.TestCase;

public class TestORMappings extends TestCase {

	private EntityManager em;

	protected void setUp() throws Exception {
		em = Persistence.createEntityManagerFactory("test")
				.createEntityManager();
	}

	protected void tearDown() throws Exception {
		em.close();
	}

	public void testSetup() {
		// on ne fait rien
	}

	public void testCreateRemove() {
		long nbPistes = (Long) em.createQuery("SELECT COUNT(*) FROM Role")
				.getSingleResult();
		Film film = new Film("TestFilm", 2012);
		Personne p = new Personne("p1", "Pers1");
		Personne p2 = new Personne("p2", "Pers2");
		Personne p3 = new Personne("p3", "Pers3");
		film.ajouteRole(p);
		film.ajouteRole(p2);
		film.ajouteRole(p3);
		em.getTransaction().begin();
		em.persist(film);
		long filmId = film.getId();
		em.persist(p);
		em.persist(p2);
		em.persist(p3);
		em.getTransaction().commit();
		em.clear();
		film = null;
		em.getTransaction().begin();
		film = em.find(Film.class, filmId);
		assertNotNull(film);
		assertEquals(3, film.getDistribution().size());
		assertNotNull(film.getDistribution().get(2));
		assertEquals("Pers2", film.getDistribution().get(1).getPersonne().getNom());
		em.remove(film);
		em.remove(em.find(Personne.class, "p1"));
		em.remove(em.find(Personne.class, "p2"));
		em.remove(em.find(Personne.class, "p3"));
		em.getTransaction().commit();
		em.clear();
		em.getTransaction().begin();
		assertEquals((Long) nbPistes,
				(Long) em.createQuery("SELECT COUNT(*) FROM Role")
						.getSingleResult());
		em.getTransaction().commit();
	}
	
}
