package tiw5.metier.services.soap;

import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.jws.HandlerChain;
import javax.jws.WebService;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.PersistenceUnit;

import tiw5.modele.Personne;

@WebService(endpointInterface="tiw5.metier.services.soap.IJPATestService")
@Stateless
@HandlerChain(file="handler-chains.xml")
public class JPATestService implements IJPATestService {

	@PersistenceUnit
	EntityManagerFactory emf;
	
	@Override
	@TransactionAttribute(TransactionAttributeType.REQUIRED)
	public String jpaOK(String nom) {
		EntityManager em = emf.createEntityManager();
		Personne p = em.find(Personne.class, "urn:personne:"+nom);
		if (p == null) {
			p = new Personne("urn:personne:"+nom, nom);
			em.persist(p);
			return "created "+p.getId();
		}
		return "found "+p.getId();
	}

}
